# QDomNamedNodeMap Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QDomNamedNodeMap()
- void QDomNamedNodeMap(QDomNamedNodeMap arg__1)

### Constructor Properties

- prototype: The QDomNamedNodeMap prototype object

### Prototype Object Properties

- bool contains(String name)
- int count()
- bool isEmpty()
- QDomNode item(int index)
- uint length()
- QDomNode namedItem(String name)
- QDomNode namedItemNS(String nsURI, String localName)
- bool operator_equal(QDomNamedNodeMap arg__1)
- QDomNode removeNamedItem(String name)
- QDomNode removeNamedItemNS(String nsURI, String localName)
- QDomNode setNamedItem(QDomNode newNode)
- QDomNode setNamedItemNS(QDomNode newNode)
- int size()

### Instance Properties

QDomNamedNodeMap objects have no special properties beyond those inherited from the QDomNamedNodeMap prototype object.